---
title: "Fetch onboarding url"
url: "https://developer.incode.com/api-reference/onboarding-url/"
section: "api-reference"
group: "Interview"
version: "v1.1"
status: "live"
endpoint: "GET /omni/onboarding-url"
---
# Fetch onboarding url

`GET /omni/onboarding-url`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetch onboarding URL generated for specific user and specific flow. Only supply a `clientId`, if a redirect to mobile feature
has been added to the flow configuration and SMS and desktop onboarding is needed. Alternatively, if only a QR code is needed,
it's recommended to supply `clientId`, `components` and `tag` parameters. The alternative will return a highly performant
app launcher screen when redirect to mobile has been ena    bled.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `components` | query | string |  | URL encode String Array of accepted string values Enum: `qr` |
| `tag` | query | string |  | Enum: `payments`, `verification` |
| `shortUrl` | query | string |  | Enum: `true`, `false` |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/omni/onboarding-url \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/onboarding-url", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/omni/onboarding-url", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/onboarding-url"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
